'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Consumer = exports.Provider = exports.withContext = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StepperContext = _react2.default.createContext({});

var Provider = StepperContext.Provider;
var Consumer = StepperContext.Consumer;

var withContext = exports.withContext = function withContext(Component) {
  return function (props) {
    return _react2.default.createElement(
      Consumer,
      null,
      function (contexts) {
        return _react2.default.createElement(Component, (0, _extends3.default)({}, props, contexts));
      }
    );
  };
};

exports.default = StepperContext;
exports.Provider = Provider;
exports.Consumer = Consumer;