'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Consumer = exports.Provider = undefined;

var _react = require('react');

var _getMuiTheme = require('./getMuiTheme');

var _getMuiTheme2 = _interopRequireDefault(_getMuiTheme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ThemeContext = (0, _react.createContext)({ muiTheme: (0, _getMuiTheme2.default)() });

var Provider = ThemeContext.Provider;
var Consumer = ThemeContext.Consumer;

exports.default = ThemeContext;
exports.Provider = Provider;
exports.Consumer = Consumer;