'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Context = require('./Context');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MuiThemeProvider = function MuiThemeProvider(_ref) {
  var muiTheme = _ref.muiTheme,
      children = _ref.children;
  return _react2.default.createElement(
    _Context.Provider,
    { value: { muiTheme: muiTheme } },
    children
  );
};

exports.default = MuiThemeProvider;