'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Context = require('./Context');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (Component) {
  var render = function render(innerRef, p) {
    return function (contexts) {
      if (!(contexts || {}).muiTheme) return null;
      return _react2.default.createElement(Component, (0, _extends3.default)({}, p, { ref: innerRef }, contexts));
    };
  };
  var Wrapper = function Wrapper(_ref) {
    var innerRef = _ref.innerRef,
        p = (0, _objectWithoutProperties3.default)(_ref, ['innerRef']);
    return _react2.default.createElement(
      _Context.Consumer,
      null,
      render(innerRef, p)
    );
  };
  return _react2.default.forwardRef(function (props, ref) {
    return _react2.default.createElement(Wrapper, (0, _extends3.default)({}, props, { innerRef: ref }));
  });
};